Index: fluid/Makefile
===================================================================
--- fluid/Makefile	(revision 6041)
+++ fluid/Makefile	(working copy)
@@ -84,8 +84,8 @@
 	$(INSTALL_BIN) $(FLUID) $(DESTDIR)$(bindir)/fluid$(EXEEXT)
 
 install-linux:
-	-$(INSTALL_DIR) $(DESTDIR)/usr/share/applnk/Development
-	$(INSTALL_DATA) fluid.desktop  $(DESTDIR)/usr/share/applnk/Development
+	-$(INSTALL_DIR) $(DESTDIR)/usr/share/applications
+	$(INSTALL_DATA) fluid.desktop  $(DESTDIR)/usr/share/applications
 	for size in 16 32 48 64 128; do \
 		if test ! -d $(DESTDIR)/usr/share/icons/hicolor/$${size}x$${size}/apps; then \
 			$(INSTALL_DIR) $(DESTDIR)/usr/share/icons/hicolor/$${size}x$${size}/apps; \
@@ -111,7 +111,7 @@
 	$(RM) $(DESTDIR)$(bindir)/fluid$(EXEEXT)
 
 uninstall-linux:
-	$(RM) $(DESTDIR)/usr/share/applnk/Development/fluid.desktop
+	$(RM) $(DESTDIR)/usr/share/applications/fluid.desktop
 	$(RM) $(DESTDIR)/usr/share/icons/hicolor/*/fluid.png
 	$(RM) $(DESTDIR)/usr/share/mimelnk/application/x-fluid.desktop
 
Index: test/Makefile
===================================================================
--- test/Makefile	(revision 6038)
+++ test/Makefile	(working copy)
@@ -203,12 +203,12 @@
 install-linux:
 	echo Installing games to $(DESTDIR)$(bindir)...
 	-$(INSTALL_DIR) $(DESTDIR)$(bindir)
-	-$(INSTALL_DIR) $(DESTDIR)/usr/share/applnk/Games
+	-$(INSTALL_DIR) $(DESTDIR)/usr/share/applications
 	-$(INSTALL_DIR) $(DESTDIR)/usr/share/icons/hicolor/32x32/apps
 	-$(INSTALL_DIR) $(DESTDIR)/usr/share/icons/hicolor/128x128/apps
 	for game in blocks checkers sudoku; do \
 		$(INSTALL_BIN) $$game $(DESTDIR)$(bindir); \
-		$(INSTALL_DATA) desktop/$$game.desktop  $(DESTDIR)/usr/share/applnk/Games; \
+		$(INSTALL_DATA) desktop/$$game.desktop  $(DESTDIR)/usr/share/applications; \
 		$(INSTALL_DATA) desktop/$$game-32.png $(DESTDIR)/usr/share/icons/hicolor/32x32/apps/$$game.png; \
 		$(INSTALL_DATA) desktop/$$game-128.png $(DESTDIR)/usr/share/icons/hicolor/128x128/apps/$$game.png; \
 	done
@@ -236,7 +236,7 @@
 	echo Removing games from $(DESTDIR)$(bindir)...
 	for game in blocks checkers sudoku; do \
 		$(RM) $(DESTDIR)$(bindir)/$$game; \
-		$(RM) $(DESTDIR)/usr/share/applnk/Games/$$game.desktop; \
+		$(RM) $(DESTDIR)/usr/share/applications/$$game.desktop; \
 		$(RM) $(DESTDIR)/usr/share/icons/hicolor/32x32/apps/$$game.png; \
 		$(RM) $(DESTDIR)/usr/share/icons/hicolor/128x128/apps/$$game.png; \
 	done
Index: fltk.list.in
===================================================================
--- fltk.list.in	(revision 6038)
+++ fltk.list.in	(working copy)
@@ -129,7 +129,7 @@
 %postremove /bin/rm -rf /Applications/fluid.app
 
 %system !darwin
-f 0444 root sys /usr/share/applnk/Development/fluid.desktop fluid/fluid.desktop
+f 0444 root sys /usr/share/applications/fluid.desktop fluid/fluid.desktop
 f 0444 root sys /usr/share/icons/hicolor/16x16/apps/fluid.png fluid/icons/fluid-16.png
 f 0444 root sys /usr/share/icons/hicolor/32x32/apps/fluid.png fluid/icons/fluid-32.png
 f 0444 root sys /usr/share/icons/hicolor/48x48/apps/fluid.png fluid/icons/fluid-48.png
@@ -394,17 +394,17 @@
 
 %system !darwin
 f 0555 root sys $bindir/blocks test/blocks
-f 0444 root sys /usr/share/applnk/Games/blocks.desktop test/desktop/blocks.desktop
+f 0444 root sys /usr/share/applications/blocks.desktop test/desktop/blocks.desktop
 f 0444 root sys /usr/share/icons/hicolor/32x32/apps/blocks.png test/icons/blocks-32.png
 f 0444 root sys /usr/share/icons/hicolor/128x128/apps/blocks.png test/icons/blocks-128.png
 
 f 0555 root sys $bindir/checkers test/checkers
-f 0444 root sys /usr/share/applnk/Games/checkers.desktop test/desktop/checkers.desktop
+f 0444 root sys /usr/share/applications/checkers.desktop test/desktop/checkers.desktop
 f 0444 root sys /usr/share/icons/hicolor/32x32/apps/checkers.png test/icons/checkers-32.png
 f 0444 root sys /usr/share/icons/hicolor/128x128/apps/checkers.png test/icons/checkers-128.png
 
 f 0555 root sys $bindir/sudoku test/sudoku
-f 0444 root sys /usr/share/applnk/Games/sudoku.desktop test/desktop/sudoku.desktop
+f 0444 root sys /usr/share/applications/sudoku.desktop test/desktop/sudoku.desktop
 f 0444 root sys /usr/share/icons/hicolor/32x32/apps/sudoku.png test/icons/sudoku-32.png
 f 0444 root sys /usr/share/icons/hicolor/128x128/apps/sudoku.png test/icons/sudoku-128.png
 
Index: fltk.spec.in
===================================================================
--- fltk.spec.in	(revision 6038)
+++ fltk.spec.in	(working copy)
@@ -113,8 +113,8 @@
 %dir %{prefix}/share/doc/fltk
 %{prefix}/share/doc/fltk/*
 
-%dir %{prefix}/share/applnk
-%{prefix}/share/applnk/Development/*
+%dir %{prefix}/share/applications
+%{prefix}/share/applications/*
 
 %dir %{prefix}/share/icons
 %{prefix}/share/icons/hicolor/*/apps/fluid.png
@@ -132,8 +132,8 @@
 %{_mandir}/cat6/*
 %{_mandir}/man6/*
 
-%dir %{prefix}/share/applnk
-%{prefix}/share/applnk/Games/*
+%dir %{prefix}/share/applications
+%{prefix}/share/applications/*
 
 %dir %{prefix}/share/icons
 %{prefix}/share/icons/hicolor/*/apps/blocks.png
